%define major     3.8.0
%define libname   %mklibname gnuradio-fcdproplus %{major}
%define devname   %mklibname gnuradio-fcdproplus -d

#
# git clone https://github.com/dl1ksv/gr-fcdproplus.git
# cd gr-fcdproplus
# DATE=$(git log -1 --format="%cd" --date=short | sed "s|-||g")
# git archive --format=tar --prefix=gr-fcdproplus-${DATE}/ master | xz > ../gr-fcdproplus-${DATE}.tar.xz
#
# comment out if not pre release
%global gitdate   20200811

# rel for bumping
%global rel       2

Name:             gr-fcdproplus
Summary:          GNURadio support for FUNcube Dongle Pro+
Version:          3.8.0.0
Release:          %mkrel %{?gitdate:0.git%gitdate}.%{rel}
Group:            Communications/Radio
License:          GPLv3+
URL:              https://github.com/dl1ksv/gr-fcdproplus
Source0:          https://github.com/dl1ksv/gr-fcdproplus/archive/v%{version}/%{name}-%{?gitdate}%{?!gitdate:%version}.tar.%{?gitdate:xz}%{?!gitdate:gz}
Source1:          10-fcdproplus.rules
BuildRequires:    cmake
BuildRequires:    pkgconfig(alsa)
BuildRequires:    pkgconfig(libusb)
BuildRequires:    pkgconfig(python3)
BuildRequires:    pkgconfig(gmpxx)
BuildRequires:    pkgconfig(gnuradio-runtime)
BuildRequires:    pkgconfig(gnuradio-audio)
BuildRequires:    pkgconfig(gnuradio-blocks)
BuildRequires:    pkgconfig(volk)
BuildRequires:    gnuradio-pmt-devel
BuildRequires:    hidapi-devel
BuildRequires:    gnuradio-utils
BuildRequires:    boost-devel
BuildRequires:    dos2unix
BuildRequires:    doxygen
BuildRequires:    graphviz
BuildRequires:    mpir-devel
BuildRequires:    python-gnuradio-modtool
BuildRequires:    python-gnuradio-runtime
BuildRequires:    swig

%description
GNURadio support for FUNcube Dongle Pro+.

%package -n %{libname}
Summary:          Library files for gr-fcdproplus
Group:            System/Libraries
Requires:         %{name} >= %{version}-%{release}

%description -n %{libname}
Development files for gr-fcdproplus.

%package -n %{devname}
Summary:          Development files for gr-fcdproplus
Group:            System/Libraries
Requires:         %{libname} = %{version}-%{release}
Provides:         %{name}-devel = %{version}-%{release}
Obsoletes:        %{_lib}gr-fcdproplus-devel < 3.8.0.0

%description -n %{devname}
Development files for gr-fcdproplus.

%package doc
Summary:          Documentation files for gr-fcdproplus
Requires:         %{name} = %{version}-%{release}
BuildArch:        noarch

%description doc
Documentation files for gr-fcdproplus.

%prep
%autosetup -p1 -n %{name}-%{?gitdate}%{?!gitdate:%version}

# Unbundle hidapi
rm -rf lib/hid

%build
%cmake -Wno-dev \
  -DENABLE_DOXYGEN:BOOL=ON \
  -DGR_PKG_DOC_DIR:PATH=%{_docdir}/%{name} \
  -DGR_PYTHON_DIR:PATH=%{python3_sitearch}
%cmake_build

%install
%cmake_install

# udev rule
install -Dpm 0644 %{SOURCE1} %{buildroot}%{_udevrulesdir}/10-fcdproplus.rules

%files
%exclude %{_docdir}/%{name}/html
%exclude %{_docdir}/%{name}/xml
%doc README.md
%{python_sitearch}/*
%{_datadir}/gnuradio/grc/blocks/*
%{_udevrulesdir}/10-fcdproplus.rules

%files -n %{libname}
%{_libdir}/libgnuradio-fcdproplus.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/fcdproplus/
%{_libdir}/libgnuradio-fcdproplus.so
%{_libdir}/pkgconfig/gnuradio-fcdproplus.pc
%{_libdir}/cmake/gr-fcdproplus/

%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml


%changelog
* Tue Sep 01 2020 barjac <barjac> 3.8.0.0-0.git20200811.2.mga8
+ Revision: 1620693
- rebuild for gnuradio-3.8.2

* Tue Aug 18 2020 barjac <barjac> 3.8.0.0-0.git20200811.1.mga8
+ Revision: 1614672
- new snapshot 20200811 to fix build

* Sat Apr 04 2020 wally <wally> 3.8.0.0-0.git20190817.1.mga8
+ Revision: 1564326
- update to pre 3.8.0.0 git snapshot
- rebuild for boost 1.72.0
- build with new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Jan 19 2019 barjac <barjac> 3.7.12-3.mga7
+ Revision: 1358122
- rebuild for gnuradio

* Tue Oct 16 2018 wally <wally> 3.7.12-2.mga7
+ Revision: 1321041
- rebuild for new boost 1.68.0

* Tue Oct 09 2018 pterjan <pterjan> 3.7.12-1.mga7
+ Revision: 1318847
- Update to 3.7.2

* Sun Sep 23 2018 umeabot <umeabot> 3.7.2-0.rc1.14.mga7
+ Revision: 1298072
- Mageia 7 Mass Rebuild

* Wed Jun 27 2018 barjac <barjac> 3.7.2-0.rc1.13.mga7
+ Revision: 1240385
- Patch .pc.in to not require  gnuradio-devel

* Tue Jun 26 2018 barjac <barjac> 3.7.2-0.rc1.12.mga7
+ Revision: 1239939
- rebuild for gnuradio-3.7.13.3

* Mon Dec 25 2017 wally <wally> 3.7.2-0.rc1.11.mga7
+ Revision: 1184672
- rebuild for new boost

* Thu Nov 23 2017 tv <tv> 3.7.2-0.rc1.10.mga7
+ Revision: 1178960
- bump release
- rebuild for boost 1.65
+ barjac <barjac>
- rebuild for boost 1.65

* Sat Oct 14 2017 barjac <barjac> 3.7.2-0.rc1.7.mga7
+ Revision: 1171774
- rebuild for boost and gnuradio

* Tue Aug 08 2017 daviddavid <daviddavid> 3.7.2-0.rc1.6.mga7
+ Revision: 1138787
- rebuild for new Python 3.6

* Thu Sep 08 2016 barjac <barjac> 3.7.2-0.rc1.5.mga6
+ Revision: 1050779
- rebuild for gnuradio-3.7.10.1

* Wed Jul 27 2016 barjac <barjac> 3.7.2-0.rc1.4.mga6
+ Revision: 1043755
- Rebuild again as builds of gnuradio were not up to date in repos

* Wed Jul 27 2016 tmb <tmb> 3.7.2-0.rc1.3.mga6
+ Revision: 1043734
- rebuild for new gnuradio

* Thu Apr 14 2016 barjac <barjac> 3.7.2-0.rc1.2.mga6
+ Revision: 1001478
- rebuild for gnuradio

* Tue Mar 22 2016 barjac <barjac> 3.7.2-0.rc1.1.mga6
+ Revision: 993855
- new version 3.7.2rc1 and versioning system
- remove line endings fix implemented upstream
- fix source url
- clean up ugly git handling no longer needed with new versioning

* Mon Feb 22 2016 barjac <barjac> 0.1.0-0.20150330gitcf5db388.7.mga6
+ Revision: 976037
- rebuild for gnuradio

* Fri Feb 05 2016 umeabot <umeabot> 0.1.0-0.20150330gitcf5db388.6.mga6
+ Revision: 937379
- Mageia 6 Mass Rebuild

* Thu Feb 04 2016 barjac <barjac> 0.1.0-0.20150330gitcf5db388.5.mga6
+ Revision: 935400
- build for arm

* Thu Dec 31 2015 barjac <barjac> 0.1.0-0.20150330gitcf5db388.4.mga6
+ Revision: 917214
- rebuild for gnuradio-3.7.9

* Sat Dec 26 2015 barjac <barjac> 0.1.0-0.20150330gitcf5db388.3.mga6
+ Revision: 915476
- rebuild for boost-1.60.0

* Mon Dec 14 2015 barjac <barjac> 0.1.0-0.20150330gitcf5db388.2.mga6
+ Revision: 910391
- rebuild for gnuradio-3-7-8-1

* Sun Dec 13 2015 barjac <barjac> 0.1.0-0.20150330gitcf5db388.1.mga6
+ Revision: 910131
- new version 0.1.0 and snapshot

* Thu Oct 08 2015 barjac <barjac> 0-0.20150118git22f51738.3.mga6
+ Revision: 887240
- rebuild for new python

* Sat Sep 26 2015 barjac <barjac> 0-0.20150118git22f51738.2.mga6
+ Revision: 883860
- rebuild for boost-1.59

* Sun Jan 18 2015 barjac <barjac> 0-0.20150118git22f51738.1.mga6
+ Revision: 811339
- new snapshot - linkage bug fixed upstream

* Sat Jan 17 2015 barjac <barjac> 0-0.20141011gitf82beea3.1.mga5
+ Revision: 811129
- Import gr-fcdproplus

